Subject: bug#5721: Feature request: Function that returns absolute coordinates

From: Andreas Politz <[email-masked]>
Date: Thu, 03 Oct 2013 23:09:33 +0200

Eli Zaretskii <[email-masked]> writes:

> The code conditioned by WINDOWSNT should instead be conditioned by
> NTGUI, since the same code should run for Cygwin built --with-w32.

Ok.

> Also, I wonder why you aren't testing the frame type here -- this code
> should DTRT for TTYs as well, right?  Or is it certain that this code
> will never run except in a GUI session?

I don't know if this function is able to return something meaningful in
a terminal.  At least it does not to do so at the moment (in the
current, unpatched bzr branch):

emacs -nw -Q

(window-inside-absolute-pixel-edges)

=> (32752 20946769 32850 20946817)

Should these functions (`window-absolute-pixel-edges' and
`window-inside-absolute-pixel-edges') return nil in a terminal ?

-ap